## ros-humble-clearpath-viz 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(clearpath_viz)
find_package(ament_cmake REQUIRED)

install(DIRECTORY launch rviz
  DESTINATION share/${PROJECT_NAME}
)
ament_package()

=== debian/changelog ===
ros-humble-clearpath-viz (0.1.0-1jammy) jammy; urgency=high

  * Update scan topic to match other packages
  * Contributors: Hilary Luo
  * Update scan topic to match other packages
  * Contributors: Hilary Luo

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Aug 2023 04:00:00 -0000

ros-humble-clearpath-viz (0.0.2-1jammy) jammy; urgency=high

  * Added generator to launch
  * Added live config to view_model
  * Contributors: Luis Camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 06 Jul 2023 04:00:00 -0000

ros-humble-clearpath-viz (0.0.1-1jammy) jammy; urgency=high

  * Removed global namespace for nav2.rviz
  * Added view_navigation launch file
  * Updated description generator naming
    Updated robot.rviz
  * Added clearpath live
  * [clearpath_viz] Renamed robot_model to platform_model.
  * [clearpath_viz] Removed all forward slashes on topics.
  * [clearpath_viz] Added namespace and sim_time support.  Removed per platform rviz configs.
  * Initial commit.
  * Contributors: Luis Camero, Roni Kreinin, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 05 Jul 2023 04:00:00 -0000

=== debian/control ===
Source: ros-humble-clearpath-viz
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-clearpath-viz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-clearpath-platform-description, ros-humble-joint-state-publisher-gui, ros-humble-rviz2, ros-humble-ros-workspace
Description: Visualization launchers for Clearpath Platforms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-viz//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-clearpath-viz 0.3.0

=== debian/changelog ===
ros-humble-clearpath-viz (0.3.0-1bookworm) bookworm; urgency=high

  * Undo changes to view_robot
  * Added kinematics to RViz parameters
  * Added MoveIt visualization launch file
  * MoveIt rviz config
  * Remappings for moveit
  * Contributors: Luis Camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 18 Sep 2024 16:00:00 -0000

ros-humble-clearpath-viz (0.1.2-1bookworm) bookworm; urgency=high

  * rqt_robot_monitor dep
  * View diagnostics
    Added license
  * Pass setup path to clearpath_config
  * Contributors: Luis Camero, Roni Kreinin

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Oct 2023 16:00:00 -0000

ros-humble-clearpath-viz (0.1.1-1bookworm) bookworm; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 04 Oct 2023 16:00:00 -0000

ros-humble-clearpath-viz (0.1.0-1bookworm) bookworm; urgency=high

  * Update scan topic to match other packages
  * Contributors: Hilary Luo
  * Update scan topic to match other packages
  * Contributors: Hilary Luo

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 24 Aug 2023 16:00:00 -0000

ros-humble-clearpath-viz (0.0.2-1bookworm) bookworm; urgency=high

  * Added generator to launch
  * Added live config to view_model
  * Contributors: Luis Camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 05 Jul 2023 16:00:00 -0000

ros-humble-clearpath-viz (0.0.1-1bookworm) bookworm; urgency=high

  * Removed global namespace for nav2.rviz
  * Added view_navigation launch file
  * Updated description generator naming
    Updated robot.rviz
  * Added clearpath live
  * [clearpath_viz] Renamed robot_model to platform_model.
  * [clearpath_viz] Removed all forward slashes on topics.
  * [clearpath_viz] Added namespace and sim_time support.  Removed per platform rviz configs.
  * Initial commit.
  * Contributors: Luis Camero, Roni Kreinin, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 04 Jul 2023 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-humble-clearpath-viz
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-clearpath-platform-description, ros-humble-joint-state-publisher-gui, ros-humble-rviz2, ros-humble-ros-workspace
+Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-clearpath-platform-description, ros-humble-joint-state-publisher-gui, ros-humble-rqt-robot-monitor, ros-humble-rviz2, ros-humble-ros-workspace
 Description: Visualization launchers for Clearpath Platforms.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-viz//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-viz//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-clearpath-viz//opt/ros/humble/opt/clearpath_viz/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
